summaryrefslogtreecommitdiffstats
path: root/linhes/linhes-system/lh_system_start.sh
diff options
context:
space:
mode:
Diffstat (limited to 'linhes/linhes-system/lh_system_start.sh')
-rwxr-xr-xlinhes/linhes-system/lh_system_start.sh17
1 files changed, 13 insertions, 4 deletions
diff --git a/linhes/linhes-system/lh_system_start.sh b/linhes/linhes-system/lh_system_start.sh
index fb21b92..715af91 100755
--- a/linhes/linhes-system/lh_system_start.sh
+++ b/linhes/linhes-system/lh_system_start.sh
@@ -64,13 +64,22 @@ function storage_scan(){
function install_lh_apps(){
#install programs that are not needed on the iso
+ #check network connection
+ netwait=0
+ while ! nc -zw1 1.1.1.1 443; do
+ [ $netwait -gt 12 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
+ msg "Waiting for internet connectivity..."
+ ((netwait++))
+ sleep 5
+ done
msg "Installing apps."
- sudo pacman -Syyy --noconfirm archlinux-keyring
+ konsole -e /bin/bash -i -c "sudo pacman -Syyy --noconfirm archlinux-keyring && sudo pacman -Syyy --noconfirm mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb && flatpak install tv.plex.PlexHTPC --noninteractive --assumeyes"
+ #sudo pacman -Syyy --noconfirm archlinux-keyring
#sudo pacman -Syyy --noconfirm flatpak firefox glances mlocate mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb ncdu x11vnc
- sudo pacman -Syyy --noconfirm mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb
+ #sudo pacman -Syyy --noconfirm mythtv mythplugins-mytharchive mythplugins-mythmusic mythplugins-mythweb
status=$?
[ $status -eq 1 ] && msg "Could not install apps. Check internet connection. Cancelling Setup." && exit 1
- flatpak install tv.plex.PlexHTPC --noninteractive --assumeyes
+ #flatpak install tv.plex.PlexHTPC --noninteractive --assumeyes
gen_lib_xml.py
}
@@ -86,7 +95,7 @@ function sql_setup(){
}
function localweb_setup(){
- sudo pacman -Syyy --noconfirm linhes-web
+ konsole -e /bin/bash -i -c "sudo pacman -Syyy --noconfirm linhes-web"
sudo cp /etc/lighttpd/lighttpd.conf /etc/lighttpd/lighttpd.conf.orig
sudo cp /usr/share/linhes/templates/lighttpd.conf.template /etc/lighttpd/lighttpd.conf
sudo systemctl enable --now lighttpd.service